package com.sun.org.apache.xml.internal.security.keys.keyresolver;

import com.sun.org.apache.xml.internal.security.exceptions.XMLSecurityException;

public class KeyResolverException extends XMLSecurityException
{
    private static final long serialVersionUID = 1L;
    
    public KeyResolverException() {
    }
    
    public KeyResolverException(Exception originalException) {
        super(originalException);
    }
    
    public KeyResolverException(String msgID) {
        super(msgID);
    }
    
    public KeyResolverException(String msgID, Object[] exArgs) {
        super(msgID, exArgs);
    }
    
    public KeyResolverException(Exception originalException, String msgID) {
        super(originalException, msgID);
    }
    
    @Deprecated
    public KeyResolverException(String s, Exception ex) {
        this(ex, s);
    }
    
    public KeyResolverException(Exception originalException, String msgID, Object[] exArgs) {
        super(originalException, msgID, exArgs);
    }
    
    @Deprecated
    public KeyResolverException(String s, Object[] array, Exception ex) {
        this(ex, s, array);
    }
}
